From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/ghostscript-gpl/
Date: Fri, 23 Oct 2015 08:46:05 +0000 (UTC) [thread overview]
Message-ID: <1445589955.0f54b4e96ff851e0f8b5788386b4b7514ef646ea.jlec@gentoo> (raw)
commit: 0f54b4e96ff851e0f8b5788386b4b7514ef646ea
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 23 08:43:13 2015 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Fri Oct 23 08:45:55 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f54b4e9
app-text/ghostscript-gpl: QA fixes
* add missing die
* use eclass functions instead of calling system tools directly
* Prefix support
Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
.../ghostscript-gpl/ghostscript-gpl-9.18.ebuild | 61 +++++++++++-----------
1 file changed, 31 insertions(+), 30 deletions(-)
diff --git a/app-text/ghostscript-gpl/ghostscript-gpl-9.18.ebuild b/app-text/ghostscript-gpl/ghostscript-gpl-9.18.ebuild
index 6e7e502..4cf5c85 100644
--- a/app-text/ghostscript-gpl/ghostscript-gpl-9.18.ebuild
+++ b/app-text/ghostscript-gpl/ghostscript-gpl-9.18.ebuild
@@ -73,17 +73,17 @@ pkg_setup() {
src_prepare() {
# remove internal copies of various libraries
- rm -rf "${S}"/cups/libs
- rm -rf "${S}"/expat
- rm -rf "${S}"/freetype
- rm -rf "${S}"/jbig2dec
- rm -rf "${S}"/jpeg{,xr}
- rm -rf "${S}"/lcms{,2}
- rm -rf "${S}"/libpng
- rm -rf "${S}"/tiff
- rm -rf "${S}"/zlib
+ rm -rf "${S}"/cups/libs || die
+ rm -rf "${S}"/expat || die
+ rm -rf "${S}"/freetype || die
+ rm -rf "${S}"/jbig2dec || die
+ rm -rf "${S}"/jpeg{,xr} || die
+ rm -rf "${S}"/lcms{,2} || die
+ rm -rf "${S}"/libpng || die
+ rm -rf "${S}"/tiff || die
+ rm -rf "${S}"/zlib || die
# remove internal CMaps (CMaps from poppler-data are used instead)
- rm -rf "${S}"/Resource/CMap
+ rm -rf "${S}"/Resource/CMap || die
# apply various patches, many borrowed from Fedora
# http://pkgs.fedoraproject.org/cgit/ghostscript.git
@@ -96,15 +96,15 @@ src_prepare() {
if use djvu ; then
unpack gsdjvu-${GSDJVU_PV}.tar.gz
- cp gsdjvu-${GSDJVU_PV}/gsdjvu "${S}"
- cp gsdjvu-${GSDJVU_PV}/gdevdjvu.c "${S}"/base
+ cp gsdjvu-${GSDJVU_PV}/gsdjvu "${S}" || die
+ cp gsdjvu-${GSDJVU_PV}/gdevdjvu.c "${S}"/base || die
epatch "${WORKDIR}"/patches-gsdjvu/gsdjvu-1.3-${PN}-8.64.patch
- cp "${S}"/contrib/contrib.mak "${S}"/base/contrib.mak.gsdjvu
+ cp "${S}"/contrib/contrib.mak "${S}"/base/contrib.mak.gsdjvu || die
grep -q djvusep "${S}"/contrib/contrib.mak || \
- cat gsdjvu-${GSDJVU_PV}/gsdjvu.mak >> "${S}"/contrib/contrib.mak
+ cat gsdjvu-${GSDJVU_PV}/gsdjvu.mak >> "${S}"/contrib/contrib.mak || die
# install ps2utf8.ps, bug #197818
- cp gsdjvu-${GSDJVU_PV}/ps2utf8.ps "${S}"/lib
+ cp gsdjvu-${GSDJVU_PV}/ps2utf8.ps "${S}"/lib || die
sed -i -e '/$(EXTRA_INIT_FILES)/ a\ps2utf8.ps \\' \
"${S}"/base/unixinst.mak || die "sed failed"
fi
@@ -124,10 +124,10 @@ src_prepare() {
-e 's:-L$(BINDIR):& $(LDFLAGS):g' \
"${S}"/Makefile.in "${S}"/base/*.mak || die "sed failed"
- cd "${S}"
+ cd "${S}" || die
eautoreconf
- cd "${S}/ijs"
+ cd "${S}/ijs" || die
eautoreconf
}
@@ -171,7 +171,7 @@ src_configure() {
"${S}"/Makefile || die "sed failed"
fi
- cd "${S}/ijs"
+ cd "${S}/ijs" || die
econf \
--enable-shared \
$(use_enable static-libs static)
@@ -181,31 +181,30 @@ src_compile() {
# -j1 needed because of bug #550926
emake -j1 so all
- cd "${S}/ijs"
+ cd "${S}/ijs" || die
emake
}
src_install() {
emake -j1 DESTDIR="${D}" install-so install
- if use djvu ; then
- dobin gsdjvu
- fi
+ use djvu && dobin gsdjvu
# move gsc to gs, bug #343447
# gsc collides with gambit, bug #253064
- mv -f "${D}/usr/bin/gsc" "${D}/usr/bin/gs" || die
+ mv -f "${ED}"/usr/bin/{gsc,gs} || die
- cd "${S}/ijs"
+ cd "${S}/ijs" || die
emake -j1 DESTDIR="${D}" install
# rename the original cidfmap to cidfmap.GS
- mv "${D}/usr/share/ghostscript/${PVM}/Resource/Init/cidfmap"{,.GS} || die
+ mv "${ED}/usr/share/ghostscript/${PVM}/Resource/Init/cidfmap"{,.GS} || die
# install our own cidfmap to handle CJK fonts
- insinto "/usr/share/ghostscript/${PVM}/Resource/Init"
- doins "${WORKDIR}/fontmaps/CIDFnmap"
- doins "${WORKDIR}/fontmaps/cidfmap"
+ insinto /usr/share/ghostscript/${PVM}/Resource/Init
+ doins \
+ "${WORKDIR}/fontmaps/CIDFnmap" \
+ "${WORKDIR}/fontmaps/cidfmap"
for X in ${LANGS} ; do
if use linguas_${X} ; then
doins "${WORKDIR}/fontmaps/cidfmap.${X}"
@@ -215,7 +214,9 @@ src_install() {
# install the CMaps from poppler-data properly, bug #409361
dosym /usr/share/poppler/cMaps /usr/share/ghostscript/${PVM}/Resource/CMap
- use static-libs || find "${D}" -name '*.la' -delete
+ use static-libs || prune_libtool_files --all
- use linguas_de || rm -r "${D}"/usr/share/man/de
+ if ! use linguas_de; then
+ rm -r "${ED}"/usr/share/man/de || die
+ fi
}
next reply other threads:[~2015-10-23 8:46 UTC|newest]
Thread overview: 233+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-23 8:46 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-08 11:32 [gentoo-commits] repo/gentoo:master commit in: app-text/ghostscript-gpl/ Sam James
2025-05-01 3:08 Sam James
2025-04-26 20:36 Sam James
2025-04-26 17:12 Arthur Zamarin
2025-04-26 12:53 Arthur Zamarin
2025-04-26 10:57 Sam James
2025-04-26 6:05 Sam James
2025-04-26 4:05 Sam James
2025-03-13 10:10 Sam James
2025-03-08 11:07 Sam James
2024-12-16 7:51 Arthur Zamarin
2024-12-14 19:30 Arthur Zamarin
2024-12-12 19:48 Arthur Zamarin
2024-12-12 19:31 Arthur Zamarin
2024-12-12 12:44 Arthur Zamarin
2024-12-12 12:44 Arthur Zamarin
2024-12-12 12:44 Arthur Zamarin
2024-12-12 11:09 Sam James
2024-12-12 11:08 Sam James
2024-12-08 7:12 Sam James
2024-12-08 7:10 Sam James
2024-11-26 6:49 Sam James
2024-11-01 7:13 Sam James
2024-07-12 13:24 Sam James
2024-07-01 23:20 Sam James
2024-07-01 23:15 Sam James
2024-07-01 23:14 Sam James
2024-07-01 23:14 Sam James
2024-07-01 23:14 Sam James
2024-07-01 23:14 Sam James
2024-06-18 5:09 Sam James
2024-05-18 4:49 Sam James
2024-03-12 18:18 Sam James
2024-03-04 11:24 Sam James
2024-02-12 2:27 John Helmert III
2023-12-19 17:01 Arthur Zamarin
2023-12-18 9:48 Arthur Zamarin
2023-12-18 9:48 Arthur Zamarin
2023-12-18 9:01 Arthur Zamarin
2023-12-18 9:01 Arthur Zamarin
2023-12-18 9:01 Arthur Zamarin
2023-12-05 19:56 Arthur Zamarin
2023-12-05 19:56 Arthur Zamarin
2023-11-30 2:08 Sam James
2023-10-03 14:15 Sam James
2023-09-27 19:22 Arthur Zamarin
2023-09-27 5:06 Sam James
2023-09-27 5:03 Sam James
2023-09-27 4:39 Sam James
2023-09-27 4:27 Sam James
2023-09-17 5:28 Sam James
2023-09-14 3:41 Sam James
2023-07-15 8:19 Arthur Zamarin
2023-07-15 8:19 Arthur Zamarin
2023-07-14 0:42 Sam James
2023-07-14 0:42 Sam James
2023-07-14 0:42 Sam James
2023-07-14 0:42 Sam James
2023-06-23 20:28 Sam James
2023-04-25 3:59 Sam James
2023-04-25 3:23 Sam James
2023-04-25 3:23 Sam James
2023-04-16 23:23 Sam James
2023-04-13 2:57 Sam James
2023-04-13 2:57 Sam James
2023-04-13 2:16 Sam James
2023-04-13 2:11 Sam James
2023-04-13 1:57 Sam James
2023-03-30 10:53 Sam James
2023-03-23 4:03 Sam James
2023-03-15 3:40 Sam James
2022-12-18 7:48 Sam James
2022-12-18 7:10 Sam James
2022-12-18 7:10 Sam James
2022-12-09 21:27 Sam James
2022-12-07 19:08 Sam James
2022-11-25 12:04 Arthur Zamarin
2022-11-25 11:21 Arthur Zamarin
2022-11-25 10:08 Arthur Zamarin
2022-11-25 7:05 Sam James
2022-11-25 6:33 Arthur Zamarin
2022-11-25 6:02 Sam James
2022-11-25 5:33 Sam James
2022-11-25 5:33 Sam James
2022-11-18 19:42 Arthur Zamarin
2022-11-18 19:42 Arthur Zamarin
2022-10-20 19:06 Arthur Zamarin
2022-10-15 7:06 Jakov Smolić
2022-10-15 7:06 Jakov Smolić
2022-10-14 21:01 Arthur Zamarin
2022-10-13 23:19 Sam James
2022-10-13 23:01 Sam James
2022-10-04 9:09 Sam James
2022-10-02 3:56 Sam James
2022-10-02 3:15 Sam James
2022-10-01 6:56 Sam James
2022-09-15 13:20 Sam James
2022-06-11 21:28 Sam James
2022-06-11 21:28 Sam James
2022-05-17 12:48 WANG Xuerui
2022-04-17 12:20 Sam James
2022-04-17 12:09 Sam James
2021-12-07 20:23 Sam James
2021-12-06 15:23 Sam James
2021-12-06 15:20 Sam James
2021-12-06 8:03 Agostino Sarubbo
2021-12-06 0:31 Sam James
2021-12-05 18:21 Arthur Zamarin
2021-12-05 13:55 Jakov Smolić
2021-10-21 18:08 Thomas Deutschmann
2021-10-20 16:41 Thomas Deutschmann
2021-10-20 6:58 Sam James
2021-10-01 23:42 Sam James
2021-09-26 5:01 Sam James
2021-09-25 3:05 Sam James
2021-09-24 6:59 Agostino Sarubbo
2021-09-23 6:40 Agostino Sarubbo
2021-09-22 6:55 Agostino Sarubbo
2021-09-18 4:51 Sam James
2021-09-16 21:28 Sam James
2021-09-13 0:56 Sam James
2021-03-31 22:13 Thomas Deutschmann
2021-03-31 22:13 Thomas Deutschmann
2021-01-27 15:10 Thomas Deutschmann
2021-01-27 15:10 Thomas Deutschmann
2021-01-27 15:10 Thomas Deutschmann
2021-01-26 0:06 Sam James
2020-12-22 21:32 Sam James
2020-12-22 21:27 Sam James
2020-12-21 9:41 Sergei Trofimovich
2020-12-20 16:40 Thomas Deutschmann
2020-12-18 20:49 Sergei Trofimovich
2020-12-18 10:16 Sergei Trofimovich
2020-12-17 16:41 Agostino Sarubbo
2020-12-16 21:24 Sergei Trofimovich
2020-12-14 15:03 Thomas Deutschmann
2020-12-14 15:03 Thomas Deutschmann
2020-12-01 8:25 Fabian Groffen
2020-10-11 20:45 Thomas Deutschmann
2020-10-11 20:45 Thomas Deutschmann
2020-10-01 11:54 Thomas Deutschmann
2020-09-26 9:59 Thomas Deutschmann
2020-09-16 19:23 Thomas Deutschmann
2020-09-11 19:40 Thomas Deutschmann
2020-08-29 22:12 Aaron Bauman
2020-08-29 18:21 Sam James
2020-08-18 5:52 Sam James
2020-08-17 17:03 Sergei Trofimovich
2020-08-16 14:47 Agostino Sarubbo
2020-08-15 3:06 Sam James
2020-08-14 22:58 Thomas Deutschmann
2020-08-14 21:50 Sam James
2020-08-14 17:45 Sam James
2020-08-14 17:31 Sam James
2020-08-14 17:24 Sam James
2020-08-13 10:26 Thomas Deutschmann
2020-03-28 21:54 Andreas K. Hüttel
2019-11-17 7:21 Matt Turner
2019-11-13 13:17 Agostino Sarubbo
2019-11-08 8:35 Mikle Kolyada
2019-11-07 0:00 Aaron Bauman
2019-11-01 10:32 Mikle Kolyada
2019-10-28 7:43 Agostino Sarubbo
2019-10-27 19:25 Sergei Trofimovich
2019-10-26 15:16 Agostino Sarubbo
2019-10-10 1:14 Thomas Deutschmann
2019-10-10 1:14 Thomas Deutschmann
2019-10-07 0:35 Thomas Deutschmann
2019-04-04 19:22 Aaron Bauman
2018-12-30 22:16 Matt Turner
2018-11-25 10:11 Mikle Kolyada
2018-11-25 10:11 Mikle Kolyada
2018-11-25 10:09 Mikle Kolyada
2018-11-24 16:00 Mart Raudsepp
2018-11-24 13:01 Sergei Trofimovich
2018-11-24 10:59 Sergei Trofimovich
2018-11-24 10:49 Sergei Trofimovich
2018-11-24 10:45 Sergei Trofimovich
2018-11-23 16:35 Thomas Deutschmann
2018-11-23 7:24 Mikle Kolyada
2018-11-23 0:21 Andreas K. Hüttel
2018-11-23 0:21 Andreas K. Hüttel
2018-11-06 7:31 Jeroen Roovers
2018-11-04 20:33 Andreas Sturmlechner
2018-10-29 5:39 Markus Meier
2018-10-14 16:16 Mikle Kolyada
2018-10-06 16:48 Matt Turner
2018-10-02 18:32 Sergei Trofimovich
2018-10-02 10:58 Tobias Klausmann
2018-10-02 9:01 Mikle Kolyada
2018-09-30 22:21 Mart Raudsepp
2018-09-30 21:38 Sergei Trofimovich
2018-09-18 23:03 Andreas Hüttel
2018-06-12 15:17 Mikle Kolyada
2018-06-03 13:49 Aaron Bauman
2018-05-16 19:33 Lars Wendler
2018-05-06 13:20 Mart Raudsepp
2017-10-08 20:31 Aaron Bauman
2017-10-03 15:08 Sergei Trofimovich
2017-08-24 15:53 Michał Górny
2017-06-28 20:54 Sergei Trofimovich
2017-06-23 4:38 Markus Meier
2017-06-21 12:17 Agostino Sarubbo
2017-06-18 14:01 Agostino Sarubbo
2017-06-17 17:24 Agostino Sarubbo
2017-06-09 22:52 Andreas Hüttel
2017-02-21 12:44 Andreas Hüttel
2017-02-18 18:34 Andreas Hüttel
2017-02-18 12:05 Jeroen Roovers
[not found] <1487371622.2f1ee42f1467fa3e132ece7b4d2aede8f1c45afb.xmw@gentoo>
2017-02-17 22:47 ` Michael Weber
2017-02-17 20:35 Andreas Hüttel
2017-02-17 20:22 Andreas Hüttel
2017-02-15 17:31 Markus Meier
2017-02-15 13:49 Tobias Klausmann
2017-02-15 0:42 Andreas Hüttel
2017-02-15 0:42 Andreas Hüttel
2017-02-12 17:01 Agostino Sarubbo
2017-02-12 14:48 Agostino Sarubbo
2017-01-28 22:48 Andreas Hüttel
2017-01-28 22:48 Andreas Hüttel
2017-01-28 13:12 Andreas Hüttel
2017-01-28 13:08 Andreas Hüttel
2017-01-28 13:08 Andreas Hüttel
2016-09-22 5:59 Benda XU
2016-07-01 17:38 Ulrich Müller
2016-06-30 19:59 Patrice Clement
2016-06-25 19:32 Ulrich Müller
2016-02-12 23:31 Mike Frysinger
2016-01-12 7:30 Mike Frysinger
2016-01-08 19:59 Mike Frysinger
2016-01-07 9:15 Mike Frysinger
2015-10-19 20:04 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1445589955.0f54b4e96ff851e0f8b5788386b4b7514ef646ea.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox